comedi_get_default_calibration_path
Prev | 5.4.3. Calibration | Next

## Name

comedi_get_default_calibration_path — get default calibration file path

## Synopsis

    #include <comedilib.h>

`char * comedi_get_default_calibration_path(` | comedi_t * device`)`;

## Status

alpha

## Description

This function returns a pointer to a string containing a default calibration file path appropriate for the Comedi device specified by `device`. Memory for the string is allocated by the function, and should be freed with the C library function `free` when the string is no longer needed.

## Return value

A string which contains a file path useable by `comedi_parse_calibration_file`. On error, `NULL` is returned.

Prev | Up | Next
comedi_cleanup_calibration | Home | comedi_get_hardcal_converter